
ctools - Change request #2264

Don't pipe output of test into /dev/null

10/27/2017 04:57 PM - Knödlseder Jürgen

Status: Closed Start date: 10/27/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

The output of the command in testing._execute()

    # Execute command and catch any exception

    def _execute(self, cmd):

        """

        Execute command

        """

        # Execute command, make sure we catch any exception

        try:

            rc = os.system(cmd+' >/dev/null 2>&1')

        except:

            rc = -1

        # Return return code

        return rc

should not go into /dev/null but should be recovered so that in case of an error the result can be traced down somewhere. For the

moment it's very difficult to understand what went wrong.

History

#1 - 01/23/2018 05:59 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

In case of an error the command, error code and screen output is now written into the test log file.

#2 - 01/23/2018 09:09 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Code merged into devel.
